/**
 * <copyright>
 * </copyright>
 *
 * $Id: NumericalAttributePropertiesValidator.java,v 1.1 2008-04-01 09:35:21 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.miningcore.miningdata.validation;

import orgomg.cwm.analysis.datamining.miningcore.miningdata.LogicalAttribute;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.miningcore.miningdata.NumericalAttributeProperties}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface NumericalAttributePropertiesValidator {
	boolean validate();

	boolean validateLowerBound(String value);
	boolean validateUpperBound(String value);
	boolean validateIsDiscrete(boolean value);
	boolean validateIsCyclic(boolean value);
	boolean validateAnchor(String value);
	boolean validateCycleBegin(String value);
	boolean validateCycleEnd(String value);
	boolean validateDiscreteStepSize(String value);
	boolean validateLogicalAttribute(LogicalAttribute value);
}
